Bug 1325809 - [RFE] Make OTP/2FA authentication optional
Summary: [RFE] Make OTP/2FA authentication optional
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd   
(Show other bugs)
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Steeve Goveas
Marc Muehlfeld
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 1351245
TreeView+ depends on / blocked
 
Reported: 2016-04-11 09:21 UTC by Sumit Bose
Modified: 2016-11-04 07:17 UTC (History)
11 users (show)

Fixed In Version: sssd-1.14.0-2.el7
Doc Type: Enhancement
Doc Text:
*sssd* now provides optional two-factor authentication The System Security Services Daemon (SSSD) now allows users with two-factor authentication enabled to authenticate to services either by using a standard password and a one-time password (OTP), or using only a standard password. Optional two-factor authentication enables administrators to configure local logins using a single factor, while other services, like access to VPN gateways, can request both factors. As a result, during the login, the user can enter either both factors, or optionally only the password. The Kerberos ticket then uses authentication indicators to list the used factors.
Story Points: ---
Clone Of:
: 1351245 (view as bug list)
Environment:
Last Closed: 2016-11-04 07:17:34 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2476 normal SHIPPED_LIVE sssd bug fix and enhancement update 2016-11-03 14:08:11 UTC

Description Sumit Bose 2016-04-11 09:21:41 UTC
Description of problem:

It OTP authentication is enabled in the IPA server for a user only OTP authentication is possible although the user has a long-term password which can be used for single-factor authentication as well. It would be good if SSSD can do 1FA as well if only one factor was given at the login prompt.

Additionally the documentation might be enhanced to illustrate how the credentials can be promoted from 1FA to 2FA by calling 'su' or switching to the screen saver. This will be important as soon as applications become aware of Authentication Indicators see e.g. #1224057.

Comment 1 Jakub Hrozek 2016-04-11 09:58:05 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2988

Comment 2 Jakub Hrozek 2016-07-07 10:45:08 UTC
* master: 78027feeb56d6fe216f699be86a4716aaef3f628

Comment 6 Varun Mylaraiah 2016-08-23 12:04:01 UTC
Verified

sssd-1.14.0-27.el7.x86_64
ipa-server-4.4.0-8.el7.x86_64


[root@host108 ~]# ipa user-show
User login: otpuser
  User login: otpuser
  First name: otp
  Last name: user
  Home directory: /home/otpuser
  Login shell: /bin/sh
  Principal name: otpuser@TESTRELM.TEST
  Principal alias: otpuser@TESTRELM.TEST
  Email address: otpuser@testrelm.test
  UID: 1657800009
  GID: 1657800009
  User authentication types: otp, password
  Account disabled: False
  Password: True
  Member of groups: ipausers
  Kerberos keys available: True


[root@host108 ~]# ssh -l otpuser `hostname`
First Factor:   -------------------------------------> login with single-factor authentication (only password)
Second Factor (optional): 
Last login: Tue Aug 23 17:00:19 2016
Could not chdir to home directory /home/otpuser: No such file or directory
-sh-4.2$ 
-sh-4.2$ su otpuser 
First Factor: 
Second Factor (optional):  -------------------------->  switching from 1FA to 2FA (with key+token)
sh-4.2$ 
sh-4.2$

Comment 8 errata-xmlrpc 2016-11-04 07:17:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2476.html


Note You need to log in before you can comment on or make changes to this bug.